package com.zehong.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 舆情处置对象 t_public_sentiment
 * 
 * @author zehong
 * @date 2025-08-15
 */
public class TPublicSentiment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 舆情处置id */
    private Long sentimentId;

    /** 省平台id */
    private String shengId;

    /** 舆情标题 */
    @Excel(name = "舆情标题")
    private String title;

    /** 舆情内容 */
    @Excel(name = "舆情内容")
    private String content;

    /** 舆情文件 */
    @Excel(name = "舆情文件")
    private String sentimentFile;

    /** 指派企业 */

    private String enterpriseId;

    @Excel(name = "指派企业")
    private String enterpriseName;

    /** 状态 0未反馈 1已反馈 */
    @Excel(name = "状态 0未反馈 1已反馈")
    private String status;

    /** 处置标题 */
    @Excel(name = "处置标题")
    private String disposeTitle;

    /** 处置内容 */
    @Excel(name = "处置内容")
    private String disposeContent;

    /** 处置文件 */
    @Excel(name = "处置文件")
    private String disposeFile;

    /** 处置人 */
    @Excel(name = "处置人")
    private String person;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phone;



    /** $column.columnComment */
    private Long isDel;


    private String region;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public void setSentimentId(Long sentimentId)
    {
        this.sentimentId = sentimentId;
    }

    public Long getSentimentId() 
    {
        return sentimentId;
    }
    public void setShengId(String shengId) 
    {
        this.shengId = shengId;
    }

    public String getShengId() 
    {
        return shengId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setSentimentFile(String sentimentFile) 
    {
        this.sentimentFile = sentimentFile;
    }

    public String getSentimentFile() 
    {
        return sentimentFile;
    }
    public void setEnterpriseId(String enterpriseId) 
    {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId() 
    {
        return enterpriseId;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDisposeTitle(String disposeTitle) 
    {
        this.disposeTitle = disposeTitle;
    }

    public String getDisposeTitle() 
    {
        return disposeTitle;
    }
    public void setDisposeContent(String disposeContent) 
    {
        this.disposeContent = disposeContent;
    }

    public String getDisposeContent() 
    {
        return disposeContent;
    }
    public void setDisposeFile(String disposeFile) 
    {
        this.disposeFile = disposeFile;
    }

    public String getDisposeFile() 
    {
        return disposeFile;
    }
    public void setPerson(String person) 
    {
        this.person = person;
    }

    public String getPerson() 
    {
        return person;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("sentimentId", getSentimentId())
            .append("shengId", getShengId())
            .append("title", getTitle())
            .append("content", getContent())
            .append("sentimentFile", getSentimentFile())
            .append("enterpriseId", getEnterpriseId())
            .append("status", getStatus())
            .append("disposeTitle", getDisposeTitle())
            .append("disposeContent", getDisposeContent())
            .append("disposeFile", getDisposeFile())
            .append("person", getPerson())
            .append("phone", getPhone())
            .append("createTime", getCreateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
